# LDAP zerbitzaria eta kudeaketa bezeroa
[proiektu-izena]: ldap-docker
[git-izena]: aitzol/[proiektu-izena]
[LDAP]: https://eu.wikipedia.org/wiki/LDAP
[phpldapadmin]: http://phpldapadmin.sourceforge.net/wiki/index.php/Main_Page
[osixia]: https://github.com/osixia
[osixia/openldap]: https://github.com/osixia/docker-openldap
[osixia/phpldapadmin]: https://github.com/osixia/docker-phpLDAPadmin
[GPL3]: https://www.gnu.org/licenses/gpl-3.0.txt
[LICENSE]: https://www.gnu.org/licenses/licenses.html

[LDAP][LDAP] zerbitzaria eta kudeaketarako bezeroaren instalakuntza eredua da hau. Zerbitzariak [@osixia][osixia]-ren [osixia/openldap][osixia/openldap] Docker irudia du oinarritzat, bezeroak [osixia/phpldapadmin][osixia/phpldapadmin] irudia.
Zerbitzariari erabiltzaileen kontuen kudeaketarako egitura eskema bat txertatu zaio, baita erabiltzaile zerrenda bat ere, adibide moduan.
Instalakuntza amaitzean zerbitzaria eta bezeroa Docker edukiontzi banatan izango dira martxan. LDAP zerbitzaria [PhpLdapAdmin][phpldapadmin] bidez kudeatu ahal izango da.

## instalakuntza urratsak
* git clone [repo]
* cd [ldap-docker][proiektu-izena]
* sudo docker build -t osixia/openldap .
* docker-compose up -d

## Instalakuntza

#### Urratsak

Biltegi honetako edukiak klonatu eta edukiontziak eraiki:

    git clone https://git.lainoa.eus/aitzol/ldap-docker
    cd ldap-docker
    sudo docker build -t osixia/openldap . 
    docker-compose up -d

#### instalakuntza egiaztatu

Docker edukiontziak martxan daudela egiaztatu:

    docker ps -a

Zerbitzariaren kudeaketarako nabigatzailean localhost:8080 helbidera jo eta administratzaile moduan logeatu:
	
	erabiltzailea: cn=admin,dc=example,dc=org
	pasahitza: admin

## Screenshot

![alt text](screenshot.png "Screenshot")
